summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-21 12:46:04 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-21 12:46:04 +0000
commitae97cfcf2b034344cef97c52cdf57eb884e4873c (patch)
tree471c279e9fafeaaa0309ebb658fa581d88b282f0 /dev-python
parent9c08e858f67332a3a87a7650f81becb85ab28cee (diff)
downloadbaldeagleos-repo-ae97cfcf2b034344cef97c52cdf57eb884e4873c.tar.gz
baldeagleos-repo-ae97cfcf2b034344cef97c52cdf57eb884e4873c.tar.xz
baldeagleos-repo-ae97cfcf2b034344cef97c52cdf57eb884e4873c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.13.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.13.ebuild66
-rw-r--r--dev-python/breathe/Manifest1
-rw-r--r--dev-python/breathe/breathe-4.34.0.ebuild36
-rw-r--r--dev-python/drf-yasg/Manifest1
-rw-r--r--dev-python/drf-yasg/drf-yasg-1.20.0.ebuild31
-rw-r--r--dev-python/drf-yasg/metadata.xml11
-rw-r--r--dev-python/fusepy/Manifest1
-rw-r--r--dev-python/fusepy/fusepy-3.0.1.ebuild21
-rw-r--r--dev-python/fusepy/metadata.xml14
-rw-r--r--dev-python/geventhttpclient/Manifest1
-rw-r--r--dev-python/geventhttpclient/geventhttpclient-1.5.4.ebuild52
-rw-r--r--dev-python/geventhttpclient/metadata.xml2
-rw-r--r--dev-python/imapclient/Manifest1
-rwxr-xr-xdev-python/imapclient/files/imapclient-2.2.0-ssl-context.patch13
-rw-r--r--dev-python/imapclient/imapclient-2.2.0-r1.ebuild31
-rw-r--r--dev-python/jupyter_packaging/Manifest1
-rw-r--r--dev-python/jupyter_packaging/jupyter_packaging-0.12.2.ebuild43
-rw-r--r--dev-python/reflink/reflink-0.2.1-r3.ebuild47
-rw-r--r--dev-python/snapshottest/files/snapshottest-0.5.1-remove-fastdiff.patch57
-rw-r--r--dev-python/zstandard/Manifest1
-rw-r--r--dev-python/zstandard/zstandard-0.18.0.ebuild67
24 files changed, 431 insertions, 137 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 1721b1808176..59885c8a4e3c 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,2 +1,3 @@
DIST boto3-1.24.12.gh.tar.gz 509573 BLAKE2B 5c9978cac1cbce0521dee6f2164652c4fca82b0bf20276e3f4e75960e0877ec0545ca50884daedde115bba117bea424da2ad2fe63e845a32a6f832a3ab5a5841 SHA512 dec940a6e97c51089933a66994b14882f31f2ed7959f966e1f9cd2e6a4a1bb40cc2c01d509ce7346ac345df30d0f164213034c0de97daf3053ba4ea51e5f7495
+DIST boto3-1.24.13.gh.tar.gz 510032 BLAKE2B 4d204f4b4e1dbe970d45e65eb04061193d1b21236b59f33994d03138e5a1f31fce2d27f7323d1a4da8b5f88d143e1dc51cdc73e19689e79722ae696453d314e3 SHA512 e8962339b1e5c72ace2d9980d7268bd09725b11b30425c32d649703089b32324ca442e597756a14a3d4be222c3628a8ccac4da2d7739cc237dfc29a8ea722818
DIST boto3-1.24.7.gh.tar.gz 508670 BLAKE2B d526f6a4dc4c6126c61ca7c9074b4341c742f84a6e95b38cd8a450fb74df379cee44513e1be6bc7cd0c8f728598d0ecfc06240120a8da71f75f86371498f5233 SHA512 4d57e38c18138b950f93a234132ac1d31c9a29ad00ca5e1298517d6b16ff2849802ce6cfeb8de390c2eb25086043d45e0276a7a563707595649ca1905367be52
diff --git a/dev-python/boto3/boto3-1.24.13.ebuild b/dev-python/boto3/boto3-1.24.13.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.13.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index be415875fa92..62b6e7328a3f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,2 +1,3 @@
DIST botocore-1.27.12.tar.gz 9132872 BLAKE2B 74b74b5a5745cfacac066d5e087974fb58be5a600c7cfb2077d243044b8c429b1396d19e6790c0f754e42931085b115f74039b8c93da39593512d28021d6314a SHA512 767defae44ffb3b54b55625fd0f8a20c22a4a5f209a1397b1a27cfc2e36ac9e03cfdd25bc77bebc944613c5744dd7651e1b574674e8a992f219e172eee9210f5
+DIST botocore-1.27.13.tar.gz 9134638 BLAKE2B 471a46a4c4f14082ceb7030495a121ea90a6f67b6f802cbeb1394624513ff86deb7b90e3aa3e568dff42cd3280ea038565752eff69577231250b6542e6586e1f SHA512 6becb7cd6d2ea3b09012f7b168dcf7fd3386c19ee6003a4e8f4059e3b1ad2b281f5fdaab7abaafe6c34bccd547c8f8ef1bc253f5190d3e91127b1239ec8e307a
DIST botocore-1.27.7.tar.gz 9102259 BLAKE2B 094ec463531f1dfd54ff32d0f44ebc39cdc0a6d4c3e19b49a25e25d9d13acdcd26c782c1d4819ea4f1cb8954a858aa6e997411785678700b7ca03cd8844527b5 SHA512 d4a1327f4314279548af00fbc6da2f9fc5f25f704da3f6ddfa90773878f28ac9f03556b00fa4c0207ec2e952eb716aa98c1c22abffbd51d82dc55d9e4ceeca5c
diff --git a/dev-python/botocore/botocore-1.27.13.ebuild b/dev-python/botocore/botocore-1.27.13.ebuild
new file mode 100644
index 000000000000..1f52e2694e84
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.13.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/breathe/Manifest b/dev-python/breathe/Manifest
index 8f6ea06199cc..9512ae07614a 100644
--- a/dev-python/breathe/Manifest
+++ b/dev-python/breathe/Manifest
@@ -1 +1,2 @@
DIST breathe-4.33.1.tar.gz 206013 BLAKE2B c0239dcf79752d3aa0bf72b2867b9e3b2e7c321758dba7a556abaf2296b69c1ae0745ec217857216938199a03fee9d9fa0338034fbd9c01f84ebd07fc15b5f80 SHA512 770c0fd8eaca798c84cbbf138b0b4b1a348e2010cedf5efec085fff348e8b0e548ccbe160ecb112709929ee0cf8fd0d977c5032ae03f74cd39f4bb2ae1d5f14b
+DIST breathe-4.34.0.gh.tar.gz 206989 BLAKE2B 1c899165ae30de373f90c0fd0b3428d7f4d74e3f66720731c2d02bc2a8bd9c6e5bbd81909b8ab186304975f877d276ed0170c611105335032bee3b689cadef73 SHA512 7f3134575f1b8c4d7c96ebc735e33f656b5c6046de3fa2aee95d5e895fb33f0a83fb4b1c64dd69b9deca20b785868b42d6b1d5e39741500ff5f9d82bf3f130b4
diff --git a/dev-python/breathe/breathe-4.34.0.ebuild b/dev-python/breathe/breathe-4.34.0.ebuild
new file mode 100644
index 000000000000..4617c6d3b869
--- /dev/null
+++ b/dev-python/breathe/breathe-4.34.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx Doxygen renderer"
+HOMEPAGE="
+ https://breathe.readthedocs.io/en/latest/
+ https://github.com/michaeljones/breathe/
+"
+SRC_URI="
+ https://github.com/michaeljones/breathe/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ app-doc/doxygen
+ dev-python/docutils[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-4.0.0[${PYTHON_USEDEP}]
+ dev-texlive/texlive-bibtexextra
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-fontutils
+ dev-texlive/texlive-latex
+ dev-texlive/texlive-latexextra
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/drf-yasg/Manifest b/dev-python/drf-yasg/Manifest
deleted file mode 100644
index 67f94634e575..000000000000
--- a/dev-python/drf-yasg/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST drf-yasg-1.20.0.tar.gz 1800321 BLAKE2B 3db8b0b33c2919d4a331b06b1f6e324ce6e0e160c0454cb066e61cbf7bb580efadb5cd9624579492db3404edcc8e50753e63b6edae022842cd087b820779557d SHA512 b56cd00d7a09f197e95c0129e20e561ece783b4edb389b228027ab8768247ccba15db5768f52a3d5ac5a4c47faa7a447ed7eb9b22af2a21377a36dcb7e7b267f
diff --git a/dev-python/drf-yasg/drf-yasg-1.20.0.ebuild b/dev-python/drf-yasg/drf-yasg-1.20.0.ebuild
deleted file mode 100644
index 9e1afddb2df1..000000000000
--- a/dev-python/drf-yasg/drf-yasg-1.20.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Automated generation of Swagger/OpenAPI 2.0 schemas from Django Rest framework"
-HOMEPAGE="https://github.com/axnsan12/drf-yasg"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="+validation"
-
-RDEPEND="
- >=dev-python/coreapi-2.3.3[${PYTHON_USEDEP}]
- >=dev-python/coreschema-0.0.4[${PYTHON_USEDEP}]
- >=dev-python/ruamel-yaml-0.15.34[${PYTHON_USEDEP}]
- >=dev-python/inflection-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
- dev-python/packaging
- >=dev-python/djangorestframework-3.8[${PYTHON_USEDEP}]
- >=dev-python/django-1.11.7[${PYTHON_USEDEP}]
- validation? ( >=dev-python/swagger-spec-validator-2.1.0[${PYTHON_USEDEP}] )
-"
-
-DEPEND="${RDEPEND}"
diff --git a/dev-python/drf-yasg/metadata.xml b/dev-python/drf-yasg/metadata.xml
deleted file mode 100644
index fb18c11ef884..000000000000
--- a/dev-python/drf-yasg/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
-
- <use>
- <flag name="validation">
- Enable swagger spec validation using swagger-spec-validator
- </flag>
- </use>
- <origin>gentoo-staging</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/fusepy/Manifest b/dev-python/fusepy/Manifest
deleted file mode 100644
index 1654ec36983d..000000000000
--- a/dev-python/fusepy/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST fusepy-3.0.1.tar.gz 11519 BLAKE2B c76319b0d0b64a8dc674b803551f32352fed9a1e6e050110963a159259c3fed8fefbb63cfe6dda689738f07cb796c6b9da14e3070c4a1cf5b70892a6ebe52cc2 SHA512 f913dfd9f29412daa8239548c8ad8bcc64f8fc7be1425bf34cd40a5c4d22faae67c5d5575c187395d911f64ad0dda186614ada598b38b9557e18794639d43767
diff --git a/dev-python/fusepy/fusepy-3.0.1.ebuild b/dev-python/fusepy/fusepy-3.0.1.ebuild
deleted file mode 100644
index f44ae93e0d35..000000000000
--- a/dev-python/fusepy/fusepy-3.0.1.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python FUSE bindings using ctypes"
-HOMEPAGE="https://github.com/fusepy/fusepy https://pypi.org/project/fusepy/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="ISC"
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
-
-RDEPEND="
- >=sys-fs/fuse-2.9.7:0
- !dev-python/fuse-python
-"
diff --git a/dev-python/fusepy/metadata.xml b/dev-python/fusepy/metadata.xml
deleted file mode 100644
index 806e8cb72421..000000000000
--- a/dev-python/fusepy/metadata.xml
+++ /dev/null
@@ -1,14 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>python@gentoo.org</email>
- <name>Python</name>
- </maintainer>
- <longdescription>
- fusepy is a Python module that provides a simple interface to FUSE and
- MacFUSE. It's just one file and is implemented using ctypes.
- </longdescription>
-
- <origin>gentoo-staging</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/geventhttpclient/Manifest b/dev-python/geventhttpclient/Manifest
index 191fcf5dc10d..471a605c3854 100644
--- a/dev-python/geventhttpclient/Manifest
+++ b/dev-python/geventhttpclient/Manifest
@@ -1 +1,2 @@
DIST geventhttpclient-1.5.3.tar.gz 58447 BLAKE2B a1cf529c6d40ee81ebe17cb066f2d837cf3d5ce2511bb735c1a63503b612c98c17c91f08de99d604c9ff6ebfa7e6502c338e7fbbc86de954ae7e559966aa8006 SHA512 9a0ed907f73f7f5ff8675502ef6fc82bff7b543d0a2d22e1eca5aba3592675a87fe09c48981f496b7f63a660e7eab5f68801ae74da8c33ac9d9bf55a0425eed1
+DIST geventhttpclient-1.5.4.tar.gz 59551 BLAKE2B d1bda5315a92afeb408f33043c8ccf5911d6519dbe50266688f0b123fd92a95f1cb9cea449676117ea051af1400c656fe47d241b6e4e03803dc017806b5e0be4 SHA512 10d9ace4a555a5c39d8b737d96484041f9e704df41b8a3cca3b05b3c9ccb30d0490d154fa47a45edcad762a2e0807ca89425ed484275ee1b3098f0094fd6d166
diff --git a/dev-python/geventhttpclient/geventhttpclient-1.5.4.ebuild b/dev-python/geventhttpclient/geventhttpclient-1.5.4.ebuild
new file mode 100644
index 000000000000..e26a9bf2d53f
--- /dev/null
+++ b/dev-python/geventhttpclient/geventhttpclient-1.5.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high performance, concurrent HTTP client library for Python using gevent"
+HOMEPAGE="
+ https://github.com/geventhttpclient/geventhttpclient/
+ https://pypi.org/project/geventhttpclient/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/gevent[events(+),${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Avoid ModuleNotFoundError for tests we skip later
+ sed -i '/^import dpkt.ssl/d' src/geventhttpclient/tests/test_ssl.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # These SNI tests require dpkt which is not in the tree
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_host_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_header_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_explicit_sni_in_ssl
+ )
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # Skip tests which require internet access
+ epytest -m "not online"
+}
diff --git a/dev-python/geventhttpclient/metadata.xml b/dev-python/geventhttpclient/metadata.xml
index a31c1a89415d..db23f2d22a04 100644
--- a/dev-python/geventhttpclient/metadata.xml
+++ b/dev-python/geventhttpclient/metadata.xml
@@ -10,7 +10,7 @@
<name>Python</name>
</maintainer>
<upstream>
- <bugs-to>https://github.com/gwik/geventhttpclient/issues</bugs-to>
+ <bugs-to>https://github.com/geventhttpclient/geventhttpclient/issues</bugs-to>
</upstream>
<origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/imapclient/Manifest b/dev-python/imapclient/Manifest
index 59232385963d..2dc9dc7037ff 100644
--- a/dev-python/imapclient/Manifest
+++ b/dev-python/imapclient/Manifest
@@ -1 +1,2 @@
+DIST imapclient-2.2.0.gh.tar.gz 89505 BLAKE2B 448e8c736cd80f261c50dd7d6fe88498bf988e475f8135bf7079021d0154904741ab8af28c0ede817ec1bd8c7bd329b1c891c24e37c3466d68287afa02d636c7 SHA512 ace8f55e0f7f4dbb9127b2bbf26cce4c12dce40357cf8127aa6e377321d5156f91f913bd4d4ca57bd5b7f0c86ae5d0b7fdf352b74a6edb7d607f46aa45a144a2
DIST imapclient-2.2.0.tar.gz 89505 BLAKE2B 448e8c736cd80f261c50dd7d6fe88498bf988e475f8135bf7079021d0154904741ab8af28c0ede817ec1bd8c7bd329b1c891c24e37c3466d68287afa02d636c7 SHA512 ace8f55e0f7f4dbb9127b2bbf26cce4c12dce40357cf8127aa6e377321d5156f91f913bd4d4ca57bd5b7f0c86ae5d0b7fdf352b74a6edb7d607f46aa45a144a2
diff --git a/dev-python/imapclient/files/imapclient-2.2.0-ssl-context.patch b/dev-python/imapclient/files/imapclient-2.2.0-ssl-context.patch
new file mode 100755
index 000000000000..b3a12823f6a5
--- /dev/null
+++ b/dev-python/imapclient/files/imapclient-2.2.0-ssl-context.patch
@@ -0,0 +1,13 @@
+https://github.com/mjs/imapclient/issues/466
+https://bugs.gentoo.org/835498
+--- a/imapclient/tls.py
++++ b/imapclient/tls.py
+@@ -27,7 +27,7 @@ def wrap_socket(sock, ssl_context, host):
+ return ssl.wrap_socket(sock)
+
+ if ssl_context is None:
+- ssl_context = ssl.create_default_context()
++ ssl_context = ssl.create_default_context(purpose=ssl.Purpose.SERVER_AUTH)
+
+ return ssl_context.wrap_socket(sock, server_hostname=host)
+
diff --git a/dev-python/imapclient/imapclient-2.2.0-r1.ebuild b/dev-python/imapclient/imapclient-2.2.0-r1.ebuild
new file mode 100644
index 000000000000..0a8ba1a33edb
--- /dev/null
+++ b/dev-python/imapclient/imapclient-2.2.0-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="easy-to-use, pythonic, and complete IMAP client library"
+HOMEPAGE="https://github.com/mjs/imapclient"
+SRC_URI="https://github.com/mjs/imapclient/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.2.0-ssl-context.patch
+)
+
+distutils_enable_sphinx doc/src
+distutils_enable_tests unittest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/jupyter_packaging/Manifest b/dev-python/jupyter_packaging/Manifest
index 65067989986d..319227ba2602 100644
--- a/dev-python/jupyter_packaging/Manifest
+++ b/dev-python/jupyter_packaging/Manifest
@@ -1,2 +1,3 @@
DIST jupyter_packaging-0.12.0.tar.gz 25258 BLAKE2B 1e8897297e6d1e592a5e3d934f850a9fadc27b7fd97484c6ef3dda9ae5d6da0c48116846e0f3fe7757c3c4794a7a8e2e3eaa69b3fe3a68f73cc952707fa27ec1 SHA512 2a34b64a34f6931b7ba0578a9c1c270285a970043136f65c4a7afbc8e9a5e70feb1bffdc00f682d1fa49fe1f5f91bd3a093437f0f05232e6a57c97eda7f1fc29
DIST jupyter_packaging-0.12.1.tar.gz 27813 BLAKE2B 8b36d672bfd30734239486fc048f4f6f591511ec4009a9707a44ee12e71e06edc4944ff72e6e63206731705aca092efaa7ef185cf0c216ebfbe4f940ca3d7a27 SHA512 d1216c6b4b65f7e2706bf28d19110e3f8bc6c01d5821d3c3b6bdbbfeb6ebda40f893ef596bf67d87d157e9db436acc751640ea518880063eb387dda8cd78ef15
+DIST jupyter_packaging-0.12.2.tar.gz 27990 BLAKE2B 0cd07fa760fe0bd4529e8430bd52863034cc4c78d8f906f55530a6825c496b8a1bf2fff76da3f4e963ee43c80fc19347edbaf20d16fbfe51584b040b0ab4d3ed SHA512 f4167c7beb3188d2e4b0fa8601fb8cdede8b20dc8c16e0bccbcf9e317e75e24ea1469a9d904bb35b2d81dec351caf49526ef35e5d91460a099a8e4ed6974e1b1
diff --git a/dev-python/jupyter_packaging/jupyter_packaging-0.12.2.ebuild b/dev-python/jupyter_packaging/jupyter_packaging-0.12.2.ebuild
new file mode 100644
index 000000000000..a21918637b67
--- /dev/null
+++ b/dev-python/jupyter_packaging/jupyter_packaging-0.12.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tools to help build and install Jupyter Python packages"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/jupyter-packaging/
+ https://pypi.org/project/jupyter-packaging/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-60.2.0[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ dev-python/deprecation[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # require Internet
+ tests/test_build_api.py::test_build_package
+ tests/test_build_api.py::test_deprecated_metadata
+)
diff --git a/dev-python/reflink/reflink-0.2.1-r3.ebuild b/dev-python/reflink/reflink-0.2.1-r3.ebuild
new file mode 100644
index 000000000000..61f8cd3f7b03
--- /dev/null
+++ b/dev-python/reflink/reflink-0.2.1-r3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_IN_SOURCE_BUILD=1
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper around the reflink system calls"
+HOMEPAGE="https://gitlab.com/rubdos/pyreflink"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND="virtual/python-cffi[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="${RDEPEND}
+ test? ( sys-fs/btrfs-progs )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e 's|'\''pytest-runner'\'',\?||' -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local notestmsg="Tests need FEATURES='-usersandbox -userpriv -sandbox'"
+ if [[ ${EUID} != 0 ]]; then
+ ewarn "${notestmsg}"
+ elif
+ has sandbox ${FEATURES}; then
+ ewarn "${notestmsg}"
+ else
+ pushd "${BUILD_DIR}"/lib >/dev/null || die
+ # module import will fail with any other directory structure
+ cp -rv "${S}"/tests ./ || die
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+ popd >/dev/null || die
+ fi
+}
diff --git a/dev-python/snapshottest/files/snapshottest-0.5.1-remove-fastdiff.patch b/dev-python/snapshottest/files/snapshottest-0.5.1-remove-fastdiff.patch
deleted file mode 100644
index ec12f15fe7a6..000000000000
--- a/dev-python/snapshottest/files/snapshottest-0.5.1-remove-fastdiff.patch
+++ /dev/null
@@ -1,57 +0,0 @@
-From 3e31b54d349eb136f0d96eb81309fdaf4ad35fcf Mon Sep 17 00:00:00 2001
-From: David Shepherd <davidshepherd7@gmail.com>
-Date: Sat, 15 Feb 2020 11:48:52 +0000
-Subject: [PATCH] Revert "Use fastdiff for faster diffing"
-
-This reverts commit 56d9efdaa37c39c7f644726e0d34c89b09ff9568.
----
- setup.py | 2 +-
- snapshottest/diff.py | 9 +++++----
- 2 files changed, 6 insertions(+), 5 deletions(-)
-
-diff --git a/setup.py b/setup.py
-index 1baefd8..690713e 100644
---- a/setup.py
-+++ b/setup.py
-@@ -23,7 +23,7 @@
- 'nose.plugins.0.10':
- ['snapshottest = snapshottest.nose:SnapshotTestPlugin']
- },
-- install_requires=['six>=1.10.0', 'termcolor', 'fastdiff>=0.1.4<1'],
-+ install_requires=['six>=1.10.0', 'termcolor'],
- tests_require=tests_require,
- extras_require={
- 'test': tests_require,
-diff --git a/snapshottest/diff.py b/snapshottest/diff.py
-index 5fddf66..83c599a 100644
---- a/snapshottest/diff.py
-+++ b/snapshottest/diff.py
-@@ -1,5 +1,5 @@
-+from difflib import Differ
- from termcolor import colored
--from fastdiff import compare
-
- from .sorted_dict import SortedDict
- from .formatter import Formatter
-@@ -23,6 +23,7 @@ def format_line(line):
- class PrettyDiff(object):
- def __init__(self, obj, snapshottest):
- self.pretty = Formatter()
-+ self.differ = Differ()
- self.snapshottest = snapshottest
- if isinstance(obj, dict):
- obj = SortedDict(**obj)
-@@ -35,10 +36,10 @@ def __repr__(self):
- return repr(self.obj)
-
- def get_diff(self, other):
-- text1 = 'Received \n\n' + self.pretty(self.obj)
-- text2 = 'Snapshot \n\n' + self.pretty(other)
-+ text1 = ['Received ', ''] + self.pretty(self.obj).splitlines(1)
-+ text2 = ['Snapshot ', ''] + self.pretty(other).splitlines(1)
-
-- lines = list(compare(text2, text1))
-+ lines = list(self.differ.compare(text2, text1))
- return [
- format_line(line) for line in lines
- ]
diff --git a/dev-python/zstandard/Manifest b/dev-python/zstandard/Manifest
index 5904986ec414..4a5786639fc4 100644
--- a/dev-python/zstandard/Manifest
+++ b/dev-python/zstandard/Manifest
@@ -1 +1,2 @@
+DIST python-zstandard-0.18.0.gh.tar.gz 678765 BLAKE2B 7a297e76d65c6f5adbb87cc615f474d58c66bc9ee4050eb10277b596f7efda9109de815188b6efe55beb7aa637ec4779359a573c87094661ae28a080c9619576 SHA512 d573da893e3a372143271c7d9dec15cd4e9dd7355d2069e283df8b3feadbf999dddcc0aa37a2831a370526b2b045497f46326dcf13d3680dd8ee624bca1e7666
DIST zstandard-0.17.0.tar.gz 629456 BLAKE2B 2b19c017b6255eaa22037e633f1f1dea1322c21dda3f1129e9593c5782b6cf3dbba12003711f6192bfa474a918cbf1eae2b5dd21fbf78731b8dfc62e69a27048 SHA512 312aa02c7309fac64cf70ca901942118d4b3f12f27d20cc18dcaba5ce155ad81ea8d7657501a33a5fb6cdc8bcca11f91141ea9d6c3fc09c28a84d698b9050391
diff --git a/dev-python/zstandard/zstandard-0.18.0.ebuild b/dev-python/zstandard/zstandard-0.18.0.ebuild
new file mode 100644
index 000000000000..fe7d8b696525
--- /dev/null
+++ b/dev-python/zstandard/zstandard-0.18.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=python-zstandard-${PV}
+DESCRIPTION="Zstandard Bindings for Python"
+HOMEPAGE="
+ https://github.com/indygreg/python-zstandard/
+ https://pypi.org/project/zstandard/
+"
+SRC_URI="
+ https://github.com/indygreg/python-zstandard/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+DEPEND="
+ app-arch/zstd:=
+"
+RDEPEND="
+ ${DEPEND}
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0-r2:=[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # the C backend is repeatedly broken, so force CFFI instead
+ sed -e '/PYTHON_ZSTANDARD_IMPORT_POLICY/s:default:cffi:' \
+ -i zstandard/__init__.py || die
+ # unreliable, fails on x86
+ sed -e 's:test_estimated_compression_context_size:_&:' \
+ -i tests/test_data_structures.py || die
+ # unbundle zstd
+ : > zstd/zstdlib.c || die
+ # it does random preprocessing on that, so we can't use #include
+ cp "${ESYSROOT}/usr/include/zstd.h" zstd/zstd.h || die
+ sed -i -e '/include_dirs/a libraries=["zstd"],' make_cffi.py || die
+
+ distutils-r1_src_prepare
+
+ DISTUTILS_ARGS=(
+ --no-c-backend
+ )
+}
+
+src_test() {
+ rm -r zstandard || die
+ distutils-r1_src_test
+}